summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-02-15 19:29:36 +0100
committer Eric Hameleers <alien@slackware.com>2020-02-15 19:29:36 +0100
commit313f7a77cd54a43f262ce2b17959e6b45370e958 (patch)
tree8c5a9d097f5325b3e895269e50c8e4e6de677703
parentd54fbdec265cf449cdb4910268b2d242e4f1f997 (diff)
downloadktown-313f7a77cd54a43f262ce2b17959e6b45370e958.tar.gz
ktown-313f7a77cd54a43f262ce2b17959e6b45370e958.tar.xz
Deps: added socat as a dependency for kwallet-pam
-rwxr-xr-xdeps/alldeps.SlackBuild1
-rw-r--r--deps/socat/.url1
-rw-r--r--deps/socat/slack-desc19
-rwxr-xr-xdeps/socat/socat.SlackBuild140
-rwxr-xr-xdeps/updates.SlackBuild1
5 files changed, 162 insertions, 0 deletions
diff --git a/deps/alldeps.SlackBuild b/deps/alldeps.SlackBuild
index e3e7ed5..97b9064 100755
--- a/deps/alldeps.SlackBuild
+++ b/deps/alldeps.SlackBuild
@@ -79,6 +79,7 @@ ALLDEPS=" \
sassc \
rttr \
quazip \
+ socat \
"
# Only needed when adding support for Wayland:
#elogind \
diff --git a/deps/socat/.url b/deps/socat/.url
new file mode 100644
index 0000000..b1ff212
--- /dev/null
+++ b/deps/socat/.url
@@ -0,0 +1 @@
+http://www.dest-unreach.org/socat/download/socat-1.7.3.4.tar.gz
diff --git a/deps/socat/slack-desc b/deps/socat/slack-desc
new file mode 100644
index 0000000..13bc567
--- /dev/null
+++ b/deps/socat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+socat: socat (multipurpose data relay)
+socat:
+socat: socat is a relay for bidirectional data transfer between two
+socat: independent data channels. Each of these data channels may be a file,
+socat: pipe, device (serial line etc. or a pseudo terminal), a socket (UNIX,
+socat: IP4, IP6 - raw, UDP, TCP), an SSL socket, proxy CONNECT connection,
+socat: a file descriptor (stdin etc.), the GNU line editor (readline),
+socat: a program, or a combination of two of these. These modes include
+socat: generation of "listening" sockets, named pipes, and pseudo terminals.
+socat:
+socat: See also: http://www.dest-unreach.org/socat
diff --git a/deps/socat/socat.SlackBuild b/deps/socat/socat.SlackBuild
new file mode 100755
index 0000000..4dedf81
--- /dev/null
+++ b/deps/socat/socat.SlackBuild
@@ -0,0 +1,140 @@
+#!/bin/sh
+
+# Copyright 2020 Eric Hameleers, Eindhoven, NL
+# Copyright 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=socat
+VERSION=${VERSION:-1.7.3.4}
+BUILD=${BUILD:-1}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+# Fix bogus permissions:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure and compile:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$TARGET
+make $NUMJOBS || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ BUGREPORTS CHANGES COPYING* DEVELOPMENT EXAMPLES FAQ FILES \
+ PORTING README* SECURITY VERSION \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.*
+ )
+ done
+ )
+fi
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
index f6e9dd8..77e5600 100755
--- a/deps/updates.SlackBuild
+++ b/deps/updates.SlackBuild
@@ -77,6 +77,7 @@ ALLDEPS=" \
sassc \
rttr \
quazip \
+ socat \
"
# Only needed when adding support for Wayland:
#elogind \